%define name kfourier
%define version 1.1c
%define release 1
%define prefix /opt/kde

%define builddir $RPM_BUILD_DIR/%{name}-%{version}

Summary: K Desktop fast fourier transforms
Name: %{name}
Version: %{version}
Release: %{release}
Group: X11/KDE/Applications/Graphics
Copyright: GPL
Source: %{name}-%{version}.tar.gz
Buildroot: /tmp/%{name}-%{version}-%{release}-root
Requires: qt >= 1.40 kdelibs >= 1.0

%changelog

%description
KDE Desktop spectral analysis display tool using FFT.

%prep

%setup -n kfourier-1.1

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" install_root="$RPM_BUILD_ROOT" ./configure \
	--prefix=%{prefix} --with-install-root=$RPM_BUILD_ROOT \
	--disable-path-checks
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT%{prefix}/bin
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/applnk/Graphics
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/doc/HTML/default
make prefix=$RPM_BUILD_ROOT/%{prefix} install-strip

%files
%attr(755,root,root) %{prefix}/bin/kfourier

%attr( - ,root,root) %{prefix}/share/applnk
%attr( - ,root,root) %{prefix}/share/doc/HTML/default/kfourier
%attr( - ,root,root) %{prefix}/share/doc/HTML/en/kfourier

%attr(644,root,root) %{prefix}/share/icons/*.xpm
# %attr(644,root,root) %{prefix}/share/icons/mini/*.xpm

%clean
rm -r $RPM_BUILD_ROOT
rm -r $RPM_BUILD_DIR/kfourier-1.1
